<?xml version="1.0" encoding="utf-8"?>
<link:linkbase xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.w3.org/1999/xhtml http://www.xbrl.org/2013/inlineXBRL/xhtml-inlinexbrl-1_1.xsd" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xbrli="http://www.xbrl.org/2003/instance">
  <link:arcroleRef arcroleURI="https://xbrl.org/2023/arcrole/summation-item" xlink:href="https://www.xbrl.org/2023/calculation-1.1.xsd#summation-item" xlink:type="simple" />
  <link:roleRef roleURI="http://ciakgrupadd.com/role/ext_Rdg" xlink:type="simple" xlink:href="ciakgrupadd-2025-12-31.xsd#ext_Rdg" />
  <link:calculationLink xlink:type="extended" xlink:role="http://ciakgrupadd.com/role/ext_Rdg">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="loc_ifrs-full_ProfitLossBeforeTax" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossFromContinuingOperations" xlink:label="loc_ifrs-full_ProfitLossFromContinuingOperations" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_ProfitLossFromContinuingOperations" xlink:to="loc_ifrs-full_ProfitLossBeforeTax" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="10" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="loc_ifrs-full_IncomeTaxExpenseContinuingOperations" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_ProfitLossFromContinuingOperations" xlink:to="loc_ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="-1" order="20" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:label="loc_ifrs-full_ProfitLossFromOperatingActivities" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_ProfitLossBeforeTax" xlink:to="loc_ifrs-full_ProfitLossFromOperatingActivities" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="10" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FinanceIncome" xlink:label="loc_ifrs-full_FinanceIncome" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_ProfitLossBeforeTax" xlink:to="loc_ifrs-full_FinanceIncome" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="50" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FinanceCosts" xlink:label="loc_ifrs-full_FinanceCosts" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_ProfitLossBeforeTax" xlink:to="loc_ifrs-full_FinanceCosts" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="-1" order="60" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Revenue" xlink:label="loc_ifrs-full_Revenue" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities" xlink:to="loc_ifrs-full_Revenue" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="10" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherIncome" xlink:label="loc_ifrs-full_OtherIncome" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities" xlink:to="loc_ifrs-full_OtherIncome" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="20" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RawMaterialsAndConsumablesUsed" xlink:label="loc_ifrs-full_RawMaterialsAndConsumablesUsed" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities" xlink:to="loc_ifrs-full_RawMaterialsAndConsumablesUsed" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="-1" order="50" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EmployeeBenefitsExpense" xlink:label="loc_ifrs-full_EmployeeBenefitsExpense" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities" xlink:to="loc_ifrs-full_EmployeeBenefitsExpense" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="-1" order="60" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DepreciationAndAmortisationExpense" xlink:label="loc_ifrs-full_DepreciationAndAmortisationExpense" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities" xlink:to="loc_ifrs-full_DepreciationAndAmortisationExpense" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="-1" order="70" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherExpenseByNature" xlink:label="loc_ifrs-full_OtherExpenseByNature" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities" xlink:to="loc_ifrs-full_OtherExpenseByNature" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="-1" order="90" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_FinanceIncomeCost" xlink:label="loc_ifrs-full_FinanceIncomeCost" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_FinanceIncomeCost" xlink:to="loc_ifrs-full_FinanceIncome" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="10" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_FinanceIncomeCost" xlink:to="loc_ifrs-full_FinanceCosts" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="-1" order="20" />
  </link:calculationLink>
  <link:roleRef roleURI="http://ciakgrupadd.com/role/ext_Bilanca" xlink:type="simple" xlink:href="ciakgrupadd-2025-12-31.xsd#ext_Bilanca" />
  <link:calculationLink xlink:type="extended" xlink:role="http://ciakgrupadd.com/role/ext_Bilanca">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Equity" xlink:label="loc_ifrs-full_Equity" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_EquityAndLiabilities" xlink:label="loc_ifrs-full_EquityAndLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_EquityAndLiabilities" xlink:to="loc_ifrs-full_Equity" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="10" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Liabilities" xlink:label="loc_ifrs-full_Liabilities" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_EquityAndLiabilities" xlink:to="loc_ifrs-full_Liabilities" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="20" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentLiabilities" xlink:label="loc_ifrs-full_NoncurrentLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_Liabilities" xlink:to="loc_ifrs-full_NoncurrentLiabilities" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="10" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentLiabilities" xlink:label="loc_ifrs-full_CurrentLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_Liabilities" xlink:to="loc_ifrs-full_CurrentLiabilities" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="20" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentLoansReceivedAndCurrentPortionOfNoncurrentLoansReceived" xlink:label="loc_ifrs-full_CurrentLoansReceivedAndCurrentPortionOfNoncurrentLoansReceived" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_CurrentLiabilities" xlink:to="loc_ifrs-full_CurrentLoansReceivedAndCurrentPortionOfNoncurrentLoansReceived" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="10" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_TradeAndOtherCurrentPayables" xlink:label="loc_ifrs-full_TradeAndOtherCurrentPayables" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_CurrentLiabilities" xlink:to="loc_ifrs-full_TradeAndOtherCurrentPayables" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="20" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentPortionOfNoncurrentLoansReceived" xlink:label="loc_ifrs-full_NoncurrentPortionOfNoncurrentLoansReceived" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_NoncurrentLiabilities" xlink:to="loc_ifrs-full_NoncurrentPortionOfNoncurrentLoansReceived" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="70" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_StatutoryReserve" xlink:label="loc_ifrs-full_StatutoryReserve" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_Equity" xlink:to="loc_ifrs-full_StatutoryReserve" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="10" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IssuedCapital" xlink:label="loc_ifrs-full_IssuedCapital" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_Equity" xlink:to="loc_ifrs-full_IssuedCapital" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="20" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RetainedEarnings" xlink:label="loc_ifrs-full_RetainedEarnings" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_Equity" xlink:to="loc_ifrs-full_RetainedEarnings" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="30" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_SharePremium" xlink:label="loc_ifrs-full_SharePremium" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_Equity" xlink:to="loc_ifrs-full_SharePremium" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="40" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherReserves" xlink:label="loc_ifrs-full_OtherReserves" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_Equity" xlink:to="loc_ifrs-full_OtherReserves" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="50" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_TreasuryShares" xlink:label="loc_ifrs-full_TreasuryShares" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_Equity" xlink:to="loc_ifrs-full_TreasuryShares" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="-1" order="60" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_NoncurrentAssets" xlink:label="loc_ifrs-full_NoncurrentAssets" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_Assets" xlink:label="loc_ifrs-full_Assets" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_Assets" xlink:to="loc_ifrs-full_NoncurrentAssets" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="10" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentAssets" xlink:label="loc_ifrs-full_CurrentAssets" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_Assets" xlink:to="loc_ifrs-full_CurrentAssets" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="20" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="loc_ifrs-full_CashAndCashEquivalents" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_CurrentAssets" xlink:to="loc_ifrs-full_CashAndCashEquivalents" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="10" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherCurrentFinancialAssets" xlink:label="loc_ifrs-full_OtherCurrentFinancialAssets" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_CurrentAssets" xlink:to="loc_ifrs-full_OtherCurrentFinancialAssets" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="20" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_TradeAndOtherCurrentReceivables" xlink:label="loc_ifrs-full_TradeAndOtherCurrentReceivables" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_CurrentAssets" xlink:to="loc_ifrs-full_TradeAndOtherCurrentReceivables" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="30" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CurrentTaxAssetsCurrent" xlink:label="loc_ifrs-full_CurrentTaxAssetsCurrent" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_CurrentAssets" xlink:to="loc_ifrs-full_CurrentTaxAssetsCurrent" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="40" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PropertyPlantAndEquipment" xlink:label="loc_ifrs-full_PropertyPlantAndEquipment" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_NoncurrentAssets" xlink:to="loc_ifrs-full_PropertyPlantAndEquipment" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="10" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InvestmentProperty" xlink:label="loc_ifrs-full_InvestmentProperty" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_NoncurrentAssets" xlink:to="loc_ifrs-full_InvestmentProperty" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="20" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IntangibleAssetsOtherThanGoodwill" xlink:label="loc_ifrs-full_IntangibleAssetsOtherThanGoodwill" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_NoncurrentAssets" xlink:to="loc_ifrs-full_IntangibleAssetsOtherThanGoodwill" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="40" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InvestmentsInSubsidiariesJointVenturesAndAssociates" xlink:label="loc_ifrs-full_InvestmentsInSubsidiariesJointVenturesAndAssociates" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_NoncurrentAssets" xlink:to="loc_ifrs-full_InvestmentsInSubsidiariesJointVenturesAndAssociates" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="60" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DeferredTaxAssets" xlink:label="loc_ifrs-full_DeferredTaxAssets" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_NoncurrentAssets" xlink:to="loc_ifrs-full_DeferredTaxAssets" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="100" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherNoncurrentFinancialAssets" xlink:label="loc_ifrs-full_OtherNoncurrentFinancialAssets" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_NoncurrentAssets" xlink:to="loc_ifrs-full_OtherNoncurrentFinancialAssets" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="120" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RightofuseAssets" xlink:label="loc_ifrs-full_RightofuseAssets" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_NoncurrentAssets" xlink:to="loc_ifrs-full_RightofuseAssets" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="150" />
  </link:calculationLink>
  <link:roleRef roleURI="http://ciakgrupadd.com/role/ext_Cf" xlink:type="simple" xlink:href="ciakgrupadd-2025-12-31.xsd#ext_Cf" />
  <link:calculationLink xlink:type="extended" xlink:role="http://ciakgrupadd.com/role/ext_Cf">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="10" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="20" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="30" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PaymentsToAcquireOrRedeemEntitysShares" xlink:label="loc_ifrs-full_PaymentsToAcquireOrRedeemEntitysShares" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="loc_ifrs-full_PaymentsToAcquireOrRedeemEntitysShares" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="-1" order="50" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="loc_ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="70" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="-1" order="80" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="-1" order="90" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_DividendsPaidClassifiedAsFinancingActivities" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="loc_ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="-1" order="110" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:label="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="-1" order="80" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" xlink:label="loc_ifrs-full_CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="loc_ifrs-full_CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="-1" order="140" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" xlink:label="loc_ifrs-full_CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="loc_ifrs-full_CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="150" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InterestReceivedClassifiedAsInvestingActivities" xlink:label="loc_ifrs-full_InterestReceivedClassifiedAsInvestingActivities" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="loc_ifrs-full_InterestReceivedClassifiedAsInvestingActivities" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="200" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperations" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperations" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="10" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_InterestPaidClassifiedAsOperatingActivities" xlink:label="loc_ifrs-full_InterestPaidClassifiedAsOperatingActivities" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="loc_ifrs-full_InterestPaidClassifiedAsOperatingActivities" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="-1" order="40" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:to="loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="10" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAccountPayable" xlink:label="loc_ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAccountPayable" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:to="loc_ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAccountPayable" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="20" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable" xlink:label="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:to="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="30" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_ProfitLoss" xlink:label="loc_ifrs-full_ProfitLoss" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="loc_ifrs-full_ProfitLoss" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="10" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForIncomeTaxExpense" xlink:label="loc_ifrs-full_AdjustmentsForIncomeTaxExpense" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="loc_ifrs-full_AdjustmentsForIncomeTaxExpense" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="20" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_OtherAdjustmentsForNoncashItems" xlink:label="loc_ifrs-full_OtherAdjustmentsForNoncashItems" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="loc_ifrs-full_OtherAdjustmentsForNoncashItems" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="30" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense" xlink:label="loc_ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="loc_ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="40" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForInterestExpense" xlink:label="loc_ifrs-full_AdjustmentsForInterestExpense" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="loc_ifrs-full_AdjustmentsForInterestExpense" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="1" order="50" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForFinanceIncome" xlink:label="loc_ifrs-full_AdjustmentsForFinanceIncome" />
    <link:calculationArc xlink:type="arc" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="loc_ifrs-full_AdjustmentsForFinanceIncome" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" weight="-1" order="60" />
  </link:calculationLink>
</link:linkbase>